<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/Gear/Tools/Broom.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d84/_broom_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Broom.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/d84/_broom_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../de/d84/_broom_8c.html#a9a2eaac8fb89ba4466fc0b24484cf454">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/d92/class_broom_base.html">BroomBase</a> : <a class="code hl_class" href="../../d1/d00/class_flammable_base.html">FlammableBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d2/d92/class_broom_base.html#a931ca53d694ed140f586cdd65a9095a3">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d92/class_broom_base.html#a931ca53d694ed140f586cdd65a9095a3">Init</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        super.Init();</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <a class="code hl_variable" href="../../d1/d00/class_flammable_base.html#adf8bfbda5e540e6297548ff199e0edcf">m_DecraftResult</a> = <span class="stringliteral">&quot;LongWoodenStick&quot;</span>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_variable" href="../../d1/d00/class_flammable_base.html#a419780254959f801de91d321b13f4ba1">m_ParticleLocalPos</a> = <a class="code hl_function" href="../../d5/dc8/group___math3_d_a_p_i.html#ga5bd1deb1c96276d94eeec6fe40955c41">Vector</a>(0, 1.2, 0);</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <span class="comment">//GetCompEM().SetEnergyUsage(20);</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    }</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d2/d92/class_broom_base.html#a52d88ca3d2ad6368e9e3533e72aaac39">   11</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d92/class_broom_base.html#a52d88ca3d2ad6368e9e3533e72aaac39">SetActions</a>()</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        super.SetActions();</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../db/d02/class_action_clap_bear_trap_with_this_item.html">ActionClapBearTrapWithThisItem</a>);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../dc/d09/class_action_break_long_wooden_stick.html">ActionBreakLongWoodenStick</a>);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d2/d92/class_broom_base.html#a45477ab3de5b80f9a615f2ba6778533b">   19</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/d92/class_broom_base.html#a45477ab3de5b80f9a615f2ba6778533b">CanReceiveUpgrade</a>()</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d2/d92/class_broom_base.html#a9b6a1befd337bbca25c9f91db7ec6461">   24</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d92/class_broom_base.html#a9b6a1befd337bbca25c9f91db7ec6461">OnWorkStart</a>()</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        super.OnWorkStart();</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_function" href="../../d2/d92/class_broom_base.html#a6f2da4ffa9d140534e1ce7d4dd9b37e2">CalculateQuantity</a>();</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d2/d92/class_broom_base.html#a34972aba2cfd04a48b8bb229b5bc5838">   30</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d92/class_broom_base.html#a34972aba2cfd04a48b8bb229b5bc5838">ApplyResultModifications</a>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> result)</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        result.SetHealth(result.GetHealthLevelValue(2,<span class="stringliteral">&quot;&quot;</span>));</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        result.SetQuantity(1);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d2/d92/class_broom_base.html#afb5d5256c4e9b005f9f3e0bae0fb1381">   36</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/d92/class_broom_base.html#afb5d5256c4e9b005f9f3e0bae0fb1381">CanTransformIntoStick</a>()</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() &amp;&amp; !<a class="code hl_function" href="../../d1/d00/class_flammable_base.html#a4734c00697ee61fc3f5b0a4da5e01248">IsIgnited</a>() &amp;&amp; <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#aa6fc02a54f4df8b0b2a8ef2efa33757e">GetEnergy</a>() &lt; 1 &amp;&amp; !<a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#aadaf39816ed9495b340adb80b7f4fd6a">IsSetForDeletion</a>())</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d2/d92/class_broom_base.html#a540de48a09f593a45c0f7c738caa3270">   45</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d92/class_broom_base.html#a540de48a09f593a45c0f7c738caa3270">EEHitBy</a>(<a class="code hl_class" href="../../d7/d7b/class_total_damage_result.html">TotalDamageResult</a> damageResult, <span class="keywordtype">int</span> damageType, <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> source, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#af773dec082e0ba8221810d6fe6f5b67b">component</a>, <span class="keywordtype">string</span> dmgZone, <span class="keywordtype">string</span> ammo, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> modelPos, <span class="keywordtype">float</span> speedCoef)</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        super.EEHitBy(damageResult, damageType, source, <a class="code hl_variable" href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#af773dec082e0ba8221810d6fe6f5b67b">component</a>, dmgZone, ammo, modelPos, speedCoef);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a79cad88633d0faaa6fba7e7cbeb02c6a">GetCompEM</a>().<a class="code hl_function" href="../../d6/de6/class_component_energy_manager.html#a2febc432782590f0ba74206b84765c6b">SetEnergy0To1</a>(<a class="code hl_function" href="../../dd/d93/_object_8c.html#a0eebc963631bd1c68d3d6279ef887b54">GetHealth01</a>(<span class="stringliteral">&quot;&quot;</span>,<span class="stringliteral">&quot;&quot;</span>));</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d2/d92/class_broom_base.html#a6f2da4ffa9d140534e1ce7d4dd9b37e2">   53</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d92/class_broom_base.html#a6f2da4ffa9d140534e1ce7d4dd9b37e2">CalculateQuantity</a>()</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer())</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            <span class="keywordtype">float</span> currentHealth01 = <a class="code hl_function" href="../../dd/d93/_object_8c.html#a0eebc963631bd1c68d3d6279ef887b54">GetHealth01</a>();</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            <span class="keywordtype">float</span> currentEnergy01 = <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a79cad88633d0faaa6fba7e7cbeb02c6a">GetCompEM</a>().<a class="code hl_function" href="../../d6/de6/class_component_energy_manager.html#ac530f5c4891c8c8b2889930d5bb53c5e">GetEnergy0To1</a>();</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            <span class="comment">//Health needs to copy internal energy, but only if that means it will be going down from its current value(the item can&#39;t heal itself after obtaining damage just because it has full internal energy)</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            <a class="code hl_function" href="../../dd/d93/_object_8c.html#a11ff9d28102992038c8abd9cad5f25a2">SetHealth01</a>(<span class="stringliteral">&quot;&quot;</span>,<span class="stringliteral">&quot;&quot;</span>,<a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga56eafa8f245b4dc543abbf857f1bc41a">Min</a>(currentHealth01,currentEnergy01));</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            <span class="comment">//Energy needs to copy health, but only if it is higher(in 01 terms) than health, that means if an item with full energy gets damaged and lit, the internal energy needs to be adjusted to follow the health. Situations where internal energy is lower than health are handled on the line above</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a79cad88633d0faaa6fba7e7cbeb02c6a">GetCompEM</a>().<a class="code hl_function" href="../../d6/de6/class_component_energy_manager.html#a2febc432782590f0ba74206b84765c6b">SetEnergy0To1</a>(<a class="code hl_function" href="../../dd/d93/_object_8c.html#a0eebc963631bd1c68d3d6279ef887b54">GetHealth01</a>());</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d2/d92/class_broom_base.html#aebe5566f8cd3262ee67dc73a0ff3810b">   67</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d92/class_broom_base.html#aebe5566f8cd3262ee67dc73a0ff3810b">UpdateParticle</a>()</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordtype">float</span> normalizedQuant = <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#af5d57ac8a00fab716f6983223689ba4a">GetQuantity</a>() / <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a575a9a3ffd1ac6029401379ddd561cfb">GetQuantityMax</a>();</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d1/d00/class_flammable_base.html#a9fd6064a1976bf67bb65f994fcdf3dcd">m_FireParticle</a>)</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            <a class="code hl_variable" href="../../d1/d00/class_flammable_base.html#a9fd6064a1976bf67bb65f994fcdf3dcd">m_FireParticle</a> = <a class="code hl_function" href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a>.GetInstance().PlayOnObject(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a457457bb7b78107e53540d3c93b1ff88">BROOM_TORCH_T1</a>, <span class="keyword">this</span>, <a class="code hl_variable" href="../../d1/d00/class_flammable_base.html#a419780254959f801de91d321b13f4ba1">m_ParticleLocalPos</a>);</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <a class="code hl_variable" href="../../d1/d00/class_flammable_base.html#a9fd6064a1976bf67bb65f994fcdf3dcd">m_FireParticle</a>.<a class="code hl_function" href="../../de/d85/class_particle.html#a38df6525eaefe981022979f439b9f9d7">ScaleParticleParamFromOriginal</a>(<a class="code hl_enumeration" href="../../da/d43/group___particle_effect.html#gae0fed29d09aa06a8ca33de9f2b039e4b">EmitorParam</a>.VELOCITY, 1.0);</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <a class="code hl_variable" href="../../d1/d00/class_flammable_base.html#a9fd6064a1976bf67bb65f994fcdf3dcd">m_FireParticle</a>.<a class="code hl_function" href="../../de/d85/class_particle.html#a38df6525eaefe981022979f439b9f9d7">ScaleParticleParamFromOriginal</a>(<a class="code hl_enumeration" href="../../da/d43/group___particle_effect.html#gae0fed29d09aa06a8ca33de9f2b039e4b">EmitorParam</a>.VELOCITY_RND, 1.0);   </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d1/d00/class_flammable_base.html#a9fd6064a1976bf67bb65f994fcdf3dcd">m_FireParticle</a>)</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            <span class="keywordtype">float</span> scale = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga0ea2cf98823125deeeb28e8c03d3d756">Max</a>(normalizedQuant * 2.4, 0.4);</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            <a class="code hl_variable" href="../../d1/d00/class_flammable_base.html#a9fd6064a1976bf67bb65f994fcdf3dcd">m_FireParticle</a>.<a class="code hl_function" href="../../de/d85/class_particle.html#a38df6525eaefe981022979f439b9f9d7">ScaleParticleParamFromOriginal</a>(<a class="code hl_enumeration" href="../../da/d43/group___particle_effect.html#gae0fed29d09aa06a8ca33de9f2b039e4b">EmitorParam</a>.SIZE, scale);</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    }</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    <span class="comment">// DEBUG BELLOW</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="../../d2/d92/class_broom_base.html#acd671288448600d23218ee0cf7b40b61">   86</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d92/class_broom_base.html#acd671288448600d23218ee0cf7b40b61">DebugSetHealthAndEnergy</a>(<span class="keywordtype">float</span> time)</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="keywordtype">float</span> max_energy = <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a79cad88633d0faaa6fba7e7cbeb02c6a">GetCompEM</a>().<a class="code hl_function" href="../../d6/de6/class_component_energy_manager.html#af7fb8401873a84077b011909caea3483">GetEnergyMaxPristine</a>();</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <span class="keywordtype">float</span> health01 = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gaa191e62ab92d20698e58e3a20950471a">InverseLerp</a>(0, max_energy, time);</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <a class="code hl_function" href="../../dd/d93/_object_8c.html#a11ff9d28102992038c8abd9cad5f25a2">SetHealth01</a>(<span class="stringliteral">&quot;&quot;</span>,<span class="stringliteral">&quot;&quot;</span>, health01);</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a79cad88633d0faaa6fba7e7cbeb02c6a">GetCompEM</a>().<a class="code hl_function" href="../../d6/de6/class_component_energy_manager.html#aa949a780d8573da21f042a431278c862">SetEnergy</a>( time );</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../d2/d92/class_broom_base.html#addd075512ef7d81923cbb5c7c8b1d2b6">   94</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d92/class_broom_base.html#addd075512ef7d81923cbb5c7c8b1d2b6">GetDebugButtonNames</a>(out <span class="keywordtype">string</span> button1, out <span class="keywordtype">string</span> button2, out <span class="keywordtype">string</span> button3, out <span class="keywordtype">string</span> button4)</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    {</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        button1 = <span class="stringliteral">&quot;SetBurnTimeTo15Secs&quot;</span>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        button2 = <span class="stringliteral">&quot;SetBurnTimeTo1Min&quot;</span>;</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        button3 = <span class="stringliteral">&quot;SetBurnTimeTo10Min&quot;</span>;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        button4 = <span class="stringliteral">&quot;SetBurnTimeToMax&quot;</span>;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="../../d2/d92/class_broom_base.html#a37036594aa3d5cef0f7195a2a7a5d88d">  103</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d92/class_broom_base.html#a37036594aa3d5cef0f7195a2a7a5d88d">OnDebugButtonPressServer</a>(<span class="keywordtype">int</span> button_index)</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <span class="keywordflow">if</span> (button_index == 1)</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        {</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>            <a class="code hl_function" href="../../d2/d92/class_broom_base.html#acd671288448600d23218ee0cf7b40b61">DebugSetHealthAndEnergy</a>(15);</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>            <a class="code hl_function" href="../../d1/d00/class_flammable_base.html#a5b9f8ed9bddf3473ba69bb40736ef5b2">OnIgnitedThis</a>(null);</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <span class="keywordflow">if</span> (button_index == 2)</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            <a class="code hl_function" href="../../d2/d92/class_broom_base.html#acd671288448600d23218ee0cf7b40b61">DebugSetHealthAndEnergy</a>(60);</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            <a class="code hl_function" href="../../d1/d00/class_flammable_base.html#a5b9f8ed9bddf3473ba69bb40736ef5b2">OnIgnitedThis</a>(null);</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        <span class="keywordflow">if</span> (button_index == 3)</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        {</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            <a class="code hl_function" href="../../d2/d92/class_broom_base.html#acd671288448600d23218ee0cf7b40b61">DebugSetHealthAndEnergy</a>(600);</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>            <a class="code hl_function" href="../../d1/d00/class_flammable_base.html#a5b9f8ed9bddf3473ba69bb40736ef5b2">OnIgnitedThis</a>(null);</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        }</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <span class="keywordflow">if</span> (button_index == 4)</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        {</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>            <a class="code hl_function" href="../../d2/d92/class_broom_base.html#acd671288448600d23218ee0cf7b40b61">DebugSetHealthAndEnergy</a>(<a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a79cad88633d0faaa6fba7e7cbeb02c6a">GetCompEM</a>().GetEnergyMaxPristine());</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>            <a class="code hl_function" href="../../d1/d00/class_flammable_base.html#a5b9f8ed9bddf3473ba69bb40736ef5b2">OnIgnitedThis</a>(null);</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        }</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    }</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>}</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span> </div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span><span class="keyword">class </span>Broom: <a class="code hl_class" href="../../d2/d92/class_broom_base.html">BroomBase</a></div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>{</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d1/d00/class_flammable_base.html#a92bdfa88519c0d9babc33c2986f2123c">GetBurningMaterial</a>()</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno"><a class="line" href="../../de/d84/_broom_8c.html#a854d31d6f8acc1c96e1997c7068951d4">  135</a></span>    {</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DZ\\gear\\tools\\data\\broom_emissive.rvmat&quot;</span>;</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    }</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    </div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno"><a class="line" href="../../de/d84/_broom_8c.html#a653eda6487726fab2c895c71e968164c">  139</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d1/d00/class_flammable_base.html#afe87e2062a3093f6a1b4555eb6885202">GetBurntMaterial</a>()</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    {</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DZ\\gear\\tools\\data\\broom_burn.rvmat&quot;</span>;</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    }</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno"><a class="line" href="../../de/d84/_broom_8c.html#a58943f2696a8d2867ab3ba9999aa1138">  143</a></span>};</div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a575a9a3ffd1ac6029401379ddd561cfb"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a575a9a3ffd1ac6029401379ddd561cfb">GetQuantityMax</a></div><div class="ttdeci">int GetQuantityMax()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l01820">EntityAI.c:1820</a></div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a79cad88633d0faaa6fba7e7cbeb02c6a"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a79cad88633d0faaa6fba7e7cbeb02c6a">GetCompEM</a></div><div class="ttdeci">ComponentEnergyManager GetCompEM()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l02289">EntityAI.c:2289</a></div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_aadaf39816ed9495b340adb80b7f4fd6a"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#aadaf39816ed9495b340adb80b7f4fd6a">IsSetForDeletion</a></div><div class="ttdeci">bool IsSetForDeletion()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l00623">EntityAI.c:623</a></div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_af5d57ac8a00fab716f6983223689ba4a"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#af5d57ac8a00fab716f6983223689ba4a">GetQuantity</a></div><div class="ttdeci">float GetQuantity()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l01815">EntityAI.c:1815</a></div></div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00219">AdvancedCommunication.c:219</a></div></div>
<div class="ttc" id="a_is_box_colliding_geometry_proxy_classes_8c_html_af773dec082e0ba8221810d6fe6f5b67b"><div class="ttname"><a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#af773dec082e0ba8221810d6fe6f5b67b">component</a></div><div class="ttdeci">class BoxCollidingParams component</div><div class="ttdoc">ComponentInfo for BoxCollidingResult.</div></div>
<div class="ttc" id="a_item_base_8c_html_aa6fc02a54f4df8b0b2a8ef2efa33757e"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#aa6fc02a54f4df8b0b2a8ef2efa33757e">GetEnergy</a></div><div class="ttdeci">float GetEnergy()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l08279">ItemBase.c:8279</a></div></div>
<div class="ttc" id="a_object_8c_html_a0eebc963631bd1c68d3d6279ef887b54"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a0eebc963631bd1c68d3d6279ef887b54">GetHealth01</a></div><div class="ttdeci">float GetHealth01()</div><div class="ttdoc">Equivalent of GetHealth01(&quot;&quot;, &quot;&quot;);.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d93/_object_8c_source.html#l00895">Object.c:895</a></div></div>
<div class="ttc" id="a_object_8c_html_a11ff9d28102992038c8abd9cad5f25a2"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a11ff9d28102992038c8abd9cad5f25a2">SetHealth01</a></div><div class="ttdeci">void SetHealth01(string zoneName, string healthType, float coef)</div><div class="ttdoc">Sets health relative to its maximum.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d93/_object_8c_source.html#l00910">Object.c:910</a></div></div>
<div class="ttc" id="a_particle_manager_8c_html_a93ef360e8fc315d276eb8cc256dc3ef8"><div class="ttname"><a href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a></div><div class="ttdeci">void ParticleManager(ParticleManagerSettings settings)</div><div class="ttdoc">Constructor (ctor)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d6f/_particle_manager_8c_source.html#l00084">ParticleManager.c:84</a></div></div>
<div class="ttc" id="aclass_action_break_long_wooden_stick_html"><div class="ttname"><a href="../../dc/d09/class_action_break_long_wooden_stick.html">ActionBreakLongWoodenStick</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d0f/_action_break_long_wooden_stick_8c_source.html#l00012">ActionBreakLongWoodenStick.c:13</a></div></div>
<div class="ttc" id="aclass_action_clap_bear_trap_with_this_item_html"><div class="ttname"><a href="../../db/d02/class_action_clap_bear_trap_with_this_item.html">ActionClapBearTrapWithThisItem</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d69/_action_clap_bear_trap_with_this_item_8c_source.html#l00001">ActionClapBearTrapWithThisItem.c:2</a></div></div>
<div class="ttc" id="aclass_broom_base_html"><div class="ttname"><a href="../../d2/d92/class_broom_base.html">BroomBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_broom_8c_source.html#l00001">Broom.c:2</a></div></div>
<div class="ttc" id="aclass_broom_base_html_a34972aba2cfd04a48b8bb229b5bc5838"><div class="ttname"><a href="../../d2/d92/class_broom_base.html#a34972aba2cfd04a48b8bb229b5bc5838">BroomBase::ApplyResultModifications</a></div><div class="ttdeci">override void ApplyResultModifications(ItemBase result)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_broom_8c_source.html#l00030">Broom.c:30</a></div></div>
<div class="ttc" id="aclass_broom_base_html_a37036594aa3d5cef0f7195a2a7a5d88d"><div class="ttname"><a href="../../d2/d92/class_broom_base.html#a37036594aa3d5cef0f7195a2a7a5d88d">BroomBase::OnDebugButtonPressServer</a></div><div class="ttdeci">override void OnDebugButtonPressServer(int button_index)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_broom_8c_source.html#l00103">Broom.c:103</a></div></div>
<div class="ttc" id="aclass_broom_base_html_a45477ab3de5b80f9a615f2ba6778533b"><div class="ttname"><a href="../../d2/d92/class_broom_base.html#a45477ab3de5b80f9a615f2ba6778533b">BroomBase::CanReceiveUpgrade</a></div><div class="ttdeci">override bool CanReceiveUpgrade()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_broom_8c_source.html#l00019">Broom.c:19</a></div></div>
<div class="ttc" id="aclass_broom_base_html_a52d88ca3d2ad6368e9e3533e72aaac39"><div class="ttname"><a href="../../d2/d92/class_broom_base.html#a52d88ca3d2ad6368e9e3533e72aaac39">BroomBase::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_broom_8c_source.html#l00011">Broom.c:11</a></div></div>
<div class="ttc" id="aclass_broom_base_html_a540de48a09f593a45c0f7c738caa3270"><div class="ttname"><a href="../../d2/d92/class_broom_base.html#a540de48a09f593a45c0f7c738caa3270">BroomBase::EEHitBy</a></div><div class="ttdeci">override void EEHitBy(TotalDamageResult damageResult, int damageType, EntityAI source, int component, string dmgZone, string ammo, vector modelPos, float speedCoef)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_broom_8c_source.html#l00045">Broom.c:45</a></div></div>
<div class="ttc" id="aclass_broom_base_html_a6f2da4ffa9d140534e1ce7d4dd9b37e2"><div class="ttname"><a href="../../d2/d92/class_broom_base.html#a6f2da4ffa9d140534e1ce7d4dd9b37e2">BroomBase::CalculateQuantity</a></div><div class="ttdeci">override void CalculateQuantity()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_broom_8c_source.html#l00053">Broom.c:53</a></div></div>
<div class="ttc" id="aclass_broom_base_html_a931ca53d694ed140f586cdd65a9095a3"><div class="ttname"><a href="../../d2/d92/class_broom_base.html#a931ca53d694ed140f586cdd65a9095a3">BroomBase::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_broom_8c_source.html#l00003">Broom.c:3</a></div></div>
<div class="ttc" id="aclass_broom_base_html_a9b6a1befd337bbca25c9f91db7ec6461"><div class="ttname"><a href="../../d2/d92/class_broom_base.html#a9b6a1befd337bbca25c9f91db7ec6461">BroomBase::OnWorkStart</a></div><div class="ttdeci">override void OnWorkStart()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_broom_8c_source.html#l00024">Broom.c:24</a></div></div>
<div class="ttc" id="aclass_broom_base_html_acd671288448600d23218ee0cf7b40b61"><div class="ttname"><a href="../../d2/d92/class_broom_base.html#acd671288448600d23218ee0cf7b40b61">BroomBase::DebugSetHealthAndEnergy</a></div><div class="ttdeci">void DebugSetHealthAndEnergy(float time)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_broom_8c_source.html#l00086">Broom.c:86</a></div></div>
<div class="ttc" id="aclass_broom_base_html_addd075512ef7d81923cbb5c7c8b1d2b6"><div class="ttname"><a href="../../d2/d92/class_broom_base.html#addd075512ef7d81923cbb5c7c8b1d2b6">BroomBase::GetDebugButtonNames</a></div><div class="ttdeci">override void GetDebugButtonNames(out string button1, out string button2, out string button3, out string button4)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_broom_8c_source.html#l00094">Broom.c:94</a></div></div>
<div class="ttc" id="aclass_broom_base_html_aebe5566f8cd3262ee67dc73a0ff3810b"><div class="ttname"><a href="../../d2/d92/class_broom_base.html#aebe5566f8cd3262ee67dc73a0ff3810b">BroomBase::UpdateParticle</a></div><div class="ttdeci">override void UpdateParticle()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_broom_8c_source.html#l00067">Broom.c:67</a></div></div>
<div class="ttc" id="aclass_broom_base_html_afb5d5256c4e9b005f9f3e0bae0fb1381"><div class="ttname"><a href="../../d2/d92/class_broom_base.html#afb5d5256c4e9b005f9f3e0bae0fb1381">BroomBase::CanTransformIntoStick</a></div><div class="ttdeci">override bool CanTransformIntoStick()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_broom_8c_source.html#l00036">Broom.c:36</a></div></div>
<div class="ttc" id="aclass_component_energy_manager_html_a2febc432782590f0ba74206b84765c6b"><div class="ttname"><a href="../../d6/de6/class_component_energy_manager.html#a2febc432782590f0ba74206b84765c6b">ComponentEnergyManager::SetEnergy0To1</a></div><div class="ttdeci">void SetEnergy0To1(float energy01)</div><div class="ttdoc">Energy manager: Sets stored energy for this device between 0 and MAX based on relative input value be...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/df6/_component_energy_manager_8c_source.html#l00538">ComponentEnergyManager.c:538</a></div></div>
<div class="ttc" id="aclass_component_energy_manager_html_aa949a780d8573da21f042a431278c862"><div class="ttname"><a href="../../d6/de6/class_component_energy_manager.html#aa949a780d8573da21f042a431278c862">ComponentEnergyManager::SetEnergy</a></div><div class="ttdeci">void SetEnergy(float new_energy)</div><div class="ttdoc">Energy manager: Sets stored energy for this device. It ignores the min/max limit!</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/df6/_component_energy_manager_8c_source.html#l00523">ComponentEnergyManager.c:523</a></div></div>
<div class="ttc" id="aclass_component_energy_manager_html_ac530f5c4891c8c8b2889930d5bb53c5e"><div class="ttname"><a href="../../d6/de6/class_component_energy_manager.html#ac530f5c4891c8c8b2889930d5bb53c5e">ComponentEnergyManager::GetEnergy0To1</a></div><div class="ttdeci">float GetEnergy0To1()</div><div class="ttdoc">Energy manager: Returns % of stored energy this device has as float (from 0.0 to 1....</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/df6/_component_energy_manager_8c_source.html#l01185">ComponentEnergyManager.c:1185</a></div></div>
<div class="ttc" id="aclass_component_energy_manager_html_af7fb8401873a84077b011909caea3483"><div class="ttname"><a href="../../d6/de6/class_component_energy_manager.html#af7fb8401873a84077b011909caea3483">ComponentEnergyManager::GetEnergyMaxPristine</a></div><div class="ttdeci">float GetEnergyMaxPristine()</div><div class="ttdoc">Energy manager: Returns the maximum amount of energy this device can store. It's damage is NOT taken ...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/df6/_component_energy_manager_8c_source.html#l01266">ComponentEnergyManager.c:1266</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_flammable_base_html"><div class="ttname"><a href="../../d1/d00/class_flammable_base.html">FlammableBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/dd9/_torch_8c_source.html#l00001">Torch.c:2</a></div></div>
<div class="ttc" id="aclass_flammable_base_html_a419780254959f801de91d321b13f4ba1"><div class="ttname"><a href="../../d1/d00/class_flammable_base.html#a419780254959f801de91d321b13f4ba1">FlammableBase::m_ParticleLocalPos</a></div><div class="ttdeci">vector m_ParticleLocalPos</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dd9/_torch_8c_source.html#l00023">Torch.c:23</a></div></div>
<div class="ttc" id="aclass_flammable_base_html_a4734c00697ee61fc3f5b0a4da5e01248"><div class="ttname"><a href="../../d1/d00/class_flammable_base.html#a4734c00697ee61fc3f5b0a4da5e01248">FlammableBase::IsIgnited</a></div><div class="ttdeci">override bool IsIgnited()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dd9/_torch_8c_source.html#l00131">Torch.c:131</a></div></div>
<div class="ttc" id="aclass_flammable_base_html_a5b9f8ed9bddf3473ba69bb40736ef5b2"><div class="ttname"><a href="../../d1/d00/class_flammable_base.html#a5b9f8ed9bddf3473ba69bb40736ef5b2">FlammableBase::OnIgnitedThis</a></div><div class="ttdeci">override void OnIgnitedThis(EntityAI fire_source)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dd9/_torch_8c_source.html#l00191">Torch.c:191</a></div></div>
<div class="ttc" id="aclass_flammable_base_html_a92bdfa88519c0d9babc33c2986f2123c"><div class="ttname"><a href="../../d1/d00/class_flammable_base.html#a92bdfa88519c0d9babc33c2986f2123c">FlammableBase::GetBurningMaterial</a></div><div class="ttdeci">string GetBurningMaterial()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dd9/_torch_8c_source.html#l00783">Torch.c:783</a></div></div>
<div class="ttc" id="aclass_flammable_base_html_a9fd6064a1976bf67bb65f994fcdf3dcd"><div class="ttname"><a href="../../d1/d00/class_flammable_base.html#a9fd6064a1976bf67bb65f994fcdf3dcd">FlammableBase::m_FireParticle</a></div><div class="ttdeci">Particle m_FireParticle</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dd9/_torch_8c_source.html#l00009">Torch.c:9</a></div></div>
<div class="ttc" id="aclass_flammable_base_html_adf8bfbda5e540e6297548ff199e0edcf"><div class="ttname"><a href="../../d1/d00/class_flammable_base.html#adf8bfbda5e540e6297548ff199e0edcf">FlammableBase::m_DecraftResult</a></div><div class="ttdeci">string m_DecraftResult</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dd9/_torch_8c_source.html#l00025">Torch.c:25</a></div></div>
<div class="ttc" id="aclass_flammable_base_html_afe87e2062a3093f6a1b4555eb6885202"><div class="ttname"><a href="../../d1/d00/class_flammable_base.html#afe87e2062a3093f6a1b4555eb6885202">FlammableBase::GetBurntMaterial</a></div><div class="ttdeci">string GetBurntMaterial()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dd9/_torch_8c_source.html#l00788">Torch.c:788</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_particle_html_a38df6525eaefe981022979f439b9f9d7"><div class="ttname"><a href="../../de/d85/class_particle.html#a38df6525eaefe981022979f439b9f9d7">Particle::ScaleParticleParamFromOriginal</a></div><div class="ttdeci">void ScaleParticleParamFromOriginal(int parameter_id, float coef)</div><div class="ttdoc">Scales the given parameter on all emitors relatively to their ORIGINAL value.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dfb/_particle_8c_source.html#l00668">Particle.c:668</a></div></div>
<div class="ttc" id="aclass_particle_list_html"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html">ParticleList</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00011">ParticleList.c:12</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a457457bb7b78107e53540d3c93b1ff88"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a457457bb7b78107e53540d3c93b1ff88">ParticleList::BROOM_TORCH_T1</a></div><div class="ttdeci">static const int BROOM_TORCH_T1</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00077">ParticleList.c:77</a></div></div>
<div class="ttc" id="aclass_total_damage_result_html"><div class="ttname"><a href="../../d7/d7b/class_total_damage_result.html">TotalDamageResult</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dba/_damage_system_8c_source.html#l00001">DamageSystem.c:2</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00098">EnConvert.c:99</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___math3_d_a_p_i_html_ga5bd1deb1c96276d94eeec6fe40955c41"><div class="ttname"><a href="../../d5/dc8/group___math3_d_a_p_i.html#ga5bd1deb1c96276d94eeec6fe40955c41">Vector</a></div><div class="ttdeci">proto native vector Vector(float x, float y, float z)</div><div class="ttdoc">Vector constructor from components.</div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga0ea2cf98823125deeeb28e8c03d3d756"><div class="ttname"><a href="../../d5/d98/group___math.html#ga0ea2cf98823125deeeb28e8c03d3d756">Math::Max</a></div><div class="ttdeci">static proto float Max(float x, float y)</div><div class="ttdoc">Returns bigger of two given values.</div></div>
<div class="ttc" id="agroup___math_html_ga56eafa8f245b4dc543abbf857f1bc41a"><div class="ttname"><a href="../../d5/d98/group___math.html#ga56eafa8f245b4dc543abbf857f1bc41a">Math::Min</a></div><div class="ttdeci">static proto float Min(float x, float y)</div><div class="ttdoc">Returns smaller of two given values.</div></div>
<div class="ttc" id="agroup___math_html_gaa191e62ab92d20698e58e3a20950471a"><div class="ttname"><a href="../../d5/d98/group___math.html#gaa191e62ab92d20698e58e3a20950471a">Math::InverseLerp</a></div><div class="ttdeci">static proto float InverseLerp(float a, float b, float value)</div><div class="ttdoc">Calculates the linear value that produces the interpolant value within the range [a,...</div></div>
<div class="ttc" id="agroup___particle_effect_html_gae0fed29d09aa06a8ca33de9f2b039e4b"><div class="ttname"><a href="../../da/d43/group___particle_effect.html#gae0fed29d09aa06a8ca33de9f2b039e4b">EmitorParam</a></div><div class="ttdeci">EmitorParam</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d12/_en_visual_8c_source.html#l00113">EnVisual.c:114</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../dir_f28e0f4933179a31e3883dbb29b7f996.html">Gear</a></li><li class="navelem"><a class="el" href="../../dir_e36a2cddfdd187ac0db92f8d1eafd039.html">Tools</a></li><li class="navelem"><a class="el" href="../../de/d84/_broom_8c.html">Broom.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
